# Analyzing-HMIS-Data-Maharashtra
Data Quality Analysis of Health Management Information System Maharashtra (FY 2018 - 19)

This project analyzes quality issues in the data collected by the Health Management Information System of Maharashtra for the year 2018-19. 
Issues have been categorized into four fundamental types:
- Completeness
- Validity
- Accuracy
- Consistency

Once the issues have been identified, solutions are proposed to alleviate the said problems. The solutions range from ground level improvements 
in the collection of data to using Machine Learning for rectification once data has been collected. 

## Data
The Data can be found in an Excel Spreadsheet [here](https://github.com/dhavalpotdar/Analyzing-HMIS-Data-Maharashtra/blob/master/Performance%20of%20Key%20HMIS%20Indicators%20for%20Maharashtra(FY%202018-2019).xlsx). <br>
Most of the Key Indicators are self-explanatory. The specific abbreviations used in the Dataset can be referenced from the Health
Program Manager's Guide for HMIS India. The PDF can be viewed [here](https://nrhm-mis.nic.in/Part%20A%20HMIS/Understanding%20Health%20Management%20Information%20Systems/Health%20Programme%20Manager's%20Manual.pdf). <br>
Also, Data for specific Indicators can be downloaded from [data.gov.in](https://data.gov.in/dataset-group-name/health-management-information-system).

## Code
The Code for the Analysis can be viewed in the IPython Notebook [hmis_analysis_DQ.ipynb](https://github.com/dhavalpotdar/Analyzing-HMIS-Data-Maharashtra/blob/master/hmis_analysis_DQ.ipynb) in the repo. The code includes steps taken and visualizations 
produced to isolate issues in the data.

## Report
The report of the analysis, along with possible solutions can be viewed [here](https://github.com/dhavalpotdar/Analyzing-HMIS-Data-Maharashtra/blob/master/HMIS%20DQ%20Report%20Maharashtra%202018-19.pdf).

## References
1. Health Programme Managers’ Manual – Vol. II (2011)
2. Chen, K., Chen, H., Conway, N., Hellerstien, J. M., & Parikh, T. S. (2011). Usher: Improving Data Quality with Dynamic Forms. IEEE Transactions on Knowledge and Data Engineering, 23(8), 1138-1153. 3. Bodavala, R., Evaluation of Health Management Information System in India. Need for Computerized Databases in HMIS. pp. 2–5. Available from: hsps.harvard.edu
4. Bilenko, M., & Mooney, R. J. (2003). Adaptive Duplicate Detection using learnable string similarity measures. Proceedings of the Ninth ACM SIGKDD International Conference on Knowledge Discovery and Data Mining – KDD ’03
5. Dai, W., Yoshigoe, K., & Parsley, W. (2017). Improving Data Quality through Deep Learning and Statistical Models. Information Technology – New Generations, 515-522
Prepared by:
